Summary:   Write an ISO file to multiple USB devices at once
Name:      gnome-multi-writer
Version:   3.15.2
Release:   2%{?dist}
License:   GPLv2+
URL:       https://wiki.gnome.org/Apps/MultiWriter
Source0:   http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: docbook-utils
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: libcanberra-devel >= 0.10
BuildRequires: libgusb-devel >= 0.2.4
BuildRequires: libudisks2-devel

Requires:      gnome-icon-theme-extras

%description
GNOME MultiWriter can be used to write an ISO file to multiple USB devices
simultaneously.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc README.md AUTHORS NEWS COPYING
%{_bindir}/%{name}
%{_datadir}/appdata/org.gnome.MultiWriter.appdata.xml
%{_datadir}/applications/org.gnome.MultiWriter.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.MultiWriter.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/gnome-multi-writer.1.gz

%changelog
* Fri Jan 09 2015 Richard Hughes <richard@hughsie.com> 3.15.2-2
- Depend on a new enough version of libgusb
- Depend on the correct icon sets being installed
- Resolves: #1180630, #1180610

* Fri Jan 09 2015 Richard Hughes <richard@hughsie.com> 3.15.2-1
- New upstream release
- Make the verification and wipe optional
- Queue the device writes according to the connected root hub
- Show a warning dialog before copying for the first time
- Show some global read/write stats in the title bar
- Use GUsb to renumber composite hubs

* Sun Jan 04 2015 Richard Hughes <richard@hughsie.com> 3.15.1-1
- First attempt at packaging
